<script src="./Script.js"></script>

<template>
  <div v-if="data.length > 0" class="row">
    <div v-for="(item, index) in data" :class="col" :key="index">
      <label class="m-radio m-radio--primary">
        <input
          :name="name"
          type="radio"
          :value="item.id"
          v-model="new_value"
          @change="$emit('change', new_value)"
          @keyup="$emit('keyup', new_value)"
          @blur="$emit('blur', new_value)"
        />
        <div style="width: 100%; word-break: break-all;">{{ item[label] }}</div>
        <span></span>
      </label>
    </div>
  </div>
</template>
